FROM golang:alpine as build

ENV GOPROXY https://goproxy.cn

WORKDIR /app

COPY  . .

RUN sh build.sh

FROM gitea/gitea:1.21.0 

ENV USER git
ENV GITEA_CUSTOM /data/gitea

VOLUME ["/data"]

ENTRYPOINT ["/usr/bin/entrypoint"]
CMD ["/bin/s6-svscan", "/etc/s6"]

COPY --from=build /app/gitea_hat /usr/local/bin/gitea
